#
# spec file for package libt3key
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libt3key
%define lname	libt3key1
Version:        0.2.6
Release:        bp153.1.15
Summary:        The Tilde Toolkit's terminal key sequence database library
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://os.ghalkes.nl/t3/libt3key.html

#Git-Clone:	git://github.com/gphalkes/t3key
Source:         http://os.ghalkes.nl/dist/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gettext-tools
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libt3config) >= 0.2.5
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
libt3key is library that provides a database of mappings from escape
sequences as generated by different consoles and terminals or
emulators, to key symbols.

%package -n %lname
Summary:        The Tilde Toolkit's terminal key sequence database library
Group:          System/Libraries

%description -n %lname
libt3key is library that provides a database of mappings from escape
sequences as generated by different consoles and terminals or
emulators, to key symbols.

%package devel
Summary:        Development files for libt3key, a terminal key sequence db library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libt3key is library that provides a database of mappings from escape
sequences as generated by different consoles and terminals or
emulators, to key symbols.

This subpackage contains libraries and header files for developing
applications that want to make use of libt3key.

%package utils
Summary:        Utilities for working with libt3key terminal descriptions
Group:          System/Base

%description utils
libt3key is library that provides a database of mappings from escape
sequences as generated by different consoles and terminals or
emulators, to key symbols.

This subpackage contains the t3learnkeys and t3keyc programs.

%prep
%setup -q

%build
export CC=gcc
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"
rm -f "$b/%_libdir"/*.la
%if 0%{?fdupes:1}
%fdupes %buildroot/%_prefix
%endif

%post   -p /sbin/ldconfig -n %lname
%postun -p /sbin/ldconfig -n %lname

%files -n %lname
%defattr(-,root,root)
%_libdir/libt3key.so.1*
%doc COPYING
%_datadir/%lname/

%files devel
%defattr(-,root,root)
%_includedir/t3/
%_libdir/libt3key.so
%_libdir/pkgconfig/libt3key.pc
%_docdir/%name/
%exclude %_docdir/%name/COPYING

%files utils
%defattr(-,root,root)
%_bindir/t3*
%_mandir/man1/t3*.1*

%changelog
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.2.6
  * Re-release of version 0.2.5 to update the configure script.
* Fri Feb  7 2014 dimstar@opensuse.org
- Declare CC=gcc to ensure we build with gcc; seems make falls back
  to 'c99' otherwise (instead of requiring posix_cc).
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.2.5) for build.opensuse.org
